Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.indent
Class BracketIndentRule

    java.lang.Object
      org.gjt.sp.jedit.indent.BracketIndentRule

All Implemented Interfaces:
  IndentRule

Direct Known Subclasses:
  CloseBracketIndentRule, OpenBracketIndentRule

    public abstract class BracketIndentRule

extends java.lang.Object
implements IndentRule

Nested Class Summary
`static class` | `BracketIndentRule.Brackets`

Field Summary
`protected char` | `closeBracket`
`protected char` | `openBracket`

Constructor Summary
`BracketIndentRule(char openBracket, char closeBracket)`

Method Summary
`BracketIndentRule.Brackets` | `getBrackets(JEditBuffer buffer, int lineIndex)`
`BracketIndentRule.Brackets` | `getBrackets(JEditBuffer buffer, int lineIndex, int begin, int end)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.gjt.sp.jedit.indent.IndentRule
`apply`

Field Detail

### openBracket

    protected char openBracket

### closeBracket

    protected char closeBracket

Constructor Detail

### BracketIndentRule

    public BracketIndentRule(char openBracket,
                             char closeBracket)

Method Detail

### getBrackets

    public BracketIndentRule.Brackets getBrackets(JEditBuffer buffer,
                                                  int lineIndex)

### getBrackets

    public BracketIndentRule.Brackets getBrackets(JEditBuffer buffer,
                                                  int lineIndex,
                                                  int begin,
                                                  int end)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD